コンテンツへスキップ

FFmpeg API Compose

統合

モデルID ffmpeg-api/compose
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.001 1 APIクレジット · ≈ ₽0.11 このページで実行

APIキーを取得
Utility 動画変換 #ffmpeg

複数のトラックを1本の動画に結合。映像トラックは必ず1つで、音声トラックは任意の数に対応

Utility · データ (JSON)

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

最終メディアを組み立てるトラックのリスト。動画または画像のトラックを正確に1つと、数に制限のない音声トラックで構成されます。

POST /run/ffmpeg-api/compose?wait=20 見積もり → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

FFmpeg API Composeについて

`tracks`のリストから最終動画を作成します。リストには動画または画像の映像トラックを必ず1つ含め、任意の数の音声トラックを追加できます。出力は`video_url`と`thumbnail_url`を含むJSONです。

パラメータ

名前型 デフォルト許可される値 説明
tracks必須
型object[]
最終メディアを組み立てるトラックのリスト。動画または画像のトラックを正確に1つと、数に制限のない音声トラックで構成されます。
tracks[].id必須
型string
トラックを一意に識別する識別子。
tracks[].type必須
型string
トラックカテゴリ:'video'、'audio'、または'image'。
tracks[].keyframes必須
型object[]
リストとして指定する、トラックを構成するキーフレーム。
tracks[].keyframes[].timestamp必須
型number
キーフレームの開始時刻(ミリ秒)。
tracks[].keyframes[].duration必須
型number
キーフレームの長さ(ミリ秒)。
tracks[].keyframes[].url必須
型string
このキーフレームのメディアファイルへのアクセスを提供するURL。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/compose",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  },
  "output": {
    "video_url": "string",
    "thumbnail_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video_url
string (video URL)処理済み動画を指すURL。
thumbnail_url
string動画のサムネイルを指すURL。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ffmpeg-api/compose.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt